curl --request GET \
--url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_affiliate_user_id": 17,
"network_id": 1,
"network_affiliate_id": 13,
"first_name": "Bob",
"last_name": "Smith",
"email": "my.everflow@gmail.com",
"title": "CEO",
"work_phone": "9655433513",
"cell_phone": "",
"instant_messaging_id": 0,
"instant_messaging_identifier": "",
"language_id": 1,
"timezone_id": 75,
"currency_id": "USD",
"account_status": "active",
"relationship": {
"affiliate_account_status": "active"
}
}Get Affiliate User
Retrieve a single affiliate user by their user ID.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The ID of the affiliate whose user you want to fetch.
The ID of the user you want to fetch.
Query Parameters
Include additional related data in the response. Multiple relationships can be supplied by repeating the relationship query parameter. Supported values: logins (includes the user's list of logins), api (includes the user's API key and whitelisted IPs), affiliate_status (includes the status of the affiliate to which the user belongs), customizations (includes the user's customizations).
affiliate_status populates relationship.affiliate_account_status (always returned, whether requested or not) and customizations populates relationship.customization (singular). An unrecognised value is ignored.
logins, api, affiliate_status, customizations Response
Unique affiliate user ID.
The network ID this user belongs to.
The affiliate ID this user belongs to.
The affiliate user's first name.
The affiliate user's last name.
The affiliate user's email address. Is used to log in the platform.
The affiliate user's title.
The affiliate user's work phone number.
The affiliate user's cell phone number.
The ID of an instant messaging platform.
The affiliate user's instant messaging identifier.
The affiliate user's language ID.
The affiliate user's timezone ID.
The affiliate user's currency ID.
The affiliate user's account status. Can be either active or inactive.
active, inactive Related data for this affiliate user. Populate by passing relationship query parameters (e.g. ?relationship=logins&relationship=api).
Show child attributes
Show child attributes
Unix timestamp of when the user was created.
1734455015
Unix timestamp of when the user was last updated.
1734455015
Was this page helpful?
